# Ogre::LinearResampler_Byte< channels > Struct Template Reference

`#include <OgreImageResampler.h>`

List of all members.

## Static Public Member Functions

static void | scale (const PixelBox &src, const PixelBox &dst)

### template<unsigned int channels>
struct Ogre::LinearResampler_Byte< channels >

## Member Function Documentation

template<unsigned int channels>
static void Ogre::LinearResampler_Byte< channels >::scale | ( | const PixelBox & | src,
|  | const PixelBox & | dst
| ) | `[static]`

| Definition at line 281 of file OgreImageResampler.h. References Ogre::Box::bottom, Ogre::PixelBox::data, Ogre::Box::getDepth(), Ogre::Box::getHeight(), Ogre::PixelBox::getRowSkip(), Ogre::Box::getWidth(), Ogre::Box::left, Ogre::Box::right, Ogre::PixelBox::rowPitch, Ogre::LinearResampler::scale(), and Ogre::Box::top.

The documentation for this struct was generated from the following file:

- OgreImageResampler.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:56:52 2009